## ibsim 0.5

=== tests/Makefile ===
progs:= mcast_storm

-include ../defs.mk

all: $(progs)

$(progs): %: %.o

=== debian/changelog ===
ibsim (0.5-4) experimental; urgency=low

  * Tighten build depends on libibumad-dev and libibmad-dev to avoid
    FTBFS against older versions.

 -- Roland Dreier <rbd@debian.org>  Mon, 14 Jan 2013 23:46:52 -0800

ibsim (0.5-3) experimental; urgency=low

  * Add missing versioned build dependency on dpkg-dev.

 -- Roland Dreier <rbd@debian.org>  Mon, 14 Jan 2013 11:43:39 -0800

ibsim (0.5-2) experimental; urgency=low

  * Acknowledge NMU.
  * Add 02_remove-ibcommon.patch to remove build dependency on
    libibcommon; it has been obsolete for a long time.  This fixes
    FTBFS due to conflicting definitions of ntohll.
  * Add 03_fix-insecure-format.patch to fix FTBFS with hardening flags.
  * Add 04_use-CPPFLAGS.patch so hardening flags are actually used.

 -- Roland Dreier <rbd@debian.org>  Mon, 14 Jan 2013 10:30:26 -0800

ibsim (0.5-1.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664425.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664425).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets.
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix diff-contains-substvars debian/ibsim.substvars (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 04 Apr 2012 11:03:22 +0300

ibsim (0.5-1) unstable; urgency=low

  * Initial release (Closes: #539799)

 -- Benoit Mortier <benoit.mortier@opensides.be>  Wed, 21 Oct 2009 19:36:00 +0100

=== debian/control ===
Source: ibsim
Section: net
Priority: extra
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Uploaders: Benoit Mortier <benoit.mortier@opensides.be>, Guy Coates <gmpc@sanger.ac.uk>, Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libibumad-dev (>= 1.3.8), libibmad-dev (>= 1.3.9)
Standards-Version: 3.9.3.1
Homepage: http://www.openfabrics.org

Package: ibsim-utils
Architecture: i386 ia64 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, libumad2sim0 (= ${binary:Version})
Description: InfiniBand fabric simulator utilities
 ibsim provides a simulation of an InfiniBand fabric,
 which can be used by the opensm subnet manager and 
 infiniband diagnostics and management tools. 
 . 
 This package provides utilities for use with the
 simulator.


Package: libumad2sim0
Architecture: i386 ia64 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: InfiniBand fabric simulator
 ibsim provides a simulation of an InfiniBand fabric,
 which can be used by the opensm subnet manager and
 infiniband diagnostics and management tools.
 .
 This package provides an LD_PRELOADable library which
 will make applications use the simulated fabric.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ibsim.sgml > ibsim.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/ibsim.substvars

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep	 
	dh_installdirs

	-find $(CURDIR) -type d -name ".svn" -exec rm -rf {} \; >/dev/null 2>&1

	# Add here commands to install the package into debian/ibsim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --list-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ibsim 0.6

=== Makefile ===
subdirs:= ibsim umad2sim

all clean dep install:
	$(foreach dir, $(subdirs), make -C $(dir) $@ && ) echo "Done."

dist:
	./dist.sh RELEASE=$(RELEASE)

=== ibsim/Makefile ===
progs:=ibsim

-include ../defs.mk

all: $(progs)
ibsim: $(objs)

=== debian/changelog ===
ibsim (0.6-3) unstable; urgency=medium

  * Upload to unstable
  * Add a watch file.
  * Add fields Vcs-Browser/Vcs-Git.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 04 Jul 2014 10:22:12 +0200

ibsim (0.6-1) experimental; urgency=medium

  [ Ana Beatriz Guerrero Lopez ]
  * New upstream release.
  * Remove patches merges upstream: 01_glibc-2.10-scandir.patch,
    02_remove-ibcommon.patch, 03_fix-insecure-format.patch
  * Update debian/rules to use dh.
  * Update to Standards-Version to 3.9.5, no changes required.
  * Remove all current Uploaders, they're welcome back anytime.
    Add myself to Uploaders.
  * Remove placeholder manpage.
  * Update homepage.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 01 Jul 2014 14:36:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: net
 Priority: extra
 Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
-Uploaders: Benoit Mortier <benoit.mortier@opensides.be>, Guy Coates <gmpc@sanger.ac.uk>, Mario Lang <mlang@debian.org>
+Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libibumad-dev (>= 1.3.8), libibmad-dev (>= 1.3.9)
-Standards-Version: 3.9.3.1
-Homepage: http://www.openfabrics.org
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-ofed/ibsim.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ofed/ibsim.git
+Homepage: https://www.openfabrics.org/downloads/management/
 
 Package: ibsim-utils
 Architecture: i386 ia64 amd64 powerpc
 Depends: ${shlibs:Depends}, ${misc:Depends}, libumad2sim0 (= ${binary:Version})
 Description: InfiniBand fabric simulator utilities
  ibsim provides a simulation of an InfiniBand fabric,
- which can be used by the opensm subnet manager and 
- infiniband diagnostics and management tools. 
- . 
+ which can be used by the opensm subnet manager and
+ infiniband diagnostics and management tools.
+ .
  This package provides utilities for use with the
  simulator.

## ibsim 0.7

=== tests/Makefile ===
progs:= subnet_discover query_many mcast_storm

-include ../defs.mk

all: $(progs)

$(progs): %: %.o

=== debian/changelog ===
ibsim (0.7-2) unstable; urgency=medium

  * Update Maintainer field with "Debian HPC Team" (Closes: #881868)
  * Remove Ana Beatriz Guerrero Lopez from uploaders and add myself.
    Thanks Ana for all your work!
  * Move packaging Git repo to salsa.d.o and update Vcs-{Git,Browser}
    accordingly.
  * Fix bashism in run_opensm.sh (Closes: #581112)
  * Bump Standards-Version to 4.1.3
    - Use Priority optional instead of extra
  * Set Section:libs for libumad2sim0

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 04 Jan 2018 13:59:57 +0100

ibsim (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Point Vcs-* fields to HTTPS URLs.
  * Update to Standards-Version 3.9.8, no changes required.
  * Fix typo in debian/copyright.
  * Fix the team name in debian/control.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 23 Oct 2016 21:53:20 +0200

=== debian/control ===
Source: ibsim
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libibmad-dev (>= 1.3.9),
               libibumad-dev (>= 1.3.8)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/hpc-team/ibsim.git
Vcs-Browser: https://salsa.debian.org/hpc-team/ibsim
Homepage: https://www.openfabrics.org/downloads/management/

Package: ibsim-utils
Architecture: amd64 i386 ia64 powerpc
Depends: libumad2sim0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand fabric simulator utilities
 ibsim provides a simulation of an InfiniBand fabric,
 which can be used by the opensm subnet manager and
 infiniband diagnostics and management tools.
 .
 This package provides utilities for use with the
 simulator.

Package: libumad2sim0
Section: libs
Architecture: amd64 i386 ia64 powerpc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: InfiniBand fabric simulator
 ibsim provides a simulation of an InfiniBand fabric,
 which can be used by the opensm subnet manager and
 infiniband diagnostics and management tools.
 .
 This package provides an LD_PRELOADable library which
 will make applications use the simulated fabric.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## ibsim 0.9

=== debian/changelog ===
ibsim (0.9-1) unstable; urgency=medium

  * New upstream release and switch to github
  * Add ibsim-run.patch from upstream
  * Add an autopkgtest
  * Add a dep5 copyright file
  * Add myself as an uploader
  * compat level 12
  * Standards-Version 4.5.0 (no changes needed)

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 30 May 2020 09:51:31 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: net
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Mehdi Dogguy <mehdi@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Mehdi Dogguy <mehdi@debian.org>,
+ Tzafrir Cohen <tzafrir@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libibmad-dev (>= 1.3.9),
                libibumad-dev (>= 1.3.8)
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/ibsim.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/ibsim
-Homepage: https://www.openfabrics.org/downloads/management/
+Homepage: https://github.com/linux-rdma/ibsim/
 
 Package: ibsim-utils
 Architecture: amd64 i386 ia64 powerpc

## ibsim 0.10

=== Makefile ===
subdirs:= ibsim umad2sim
subdirs_with_tests:=$(subdirs) tests

all clean dep:
	$(foreach dir, $(subdirs_with_tests), make -C $(dir) $@ && ) echo "Done."

install:
	$(foreach dir, $(subdirs), make -C $(dir) $@ && ) echo "Done."

dist:
	./dist.sh RELEASE=$(RELEASE)

=== ibsim/Makefile ===
bins:=ibsim
scripts:=ibsim-run
progs:=$(bins) $(scrips)

-include ../defs.mk

ibsim-run: ibsim-run.in
	sed -e 's|@sim_so@|$(libdir)/libumad2sim.so|' \
		<$< >$@
	chmod +x $@

all: $(progs)
ibsim: $(objs)

=== umad2sim/Makefile ===
srcs:=umad2sim.c sim_client.c
objs:=$(srcs:.c=.o)
libs:=libumad2sim.so

-include ../defs.mk

#CFLAGS+= -DUMAD2SIM_NOISY_DEBUG
#CFLAGS+= -DSIM_CLIENT_NOISY_DEBUG
LIBS+= -ldl
$(libs): $(objs)
all: $(libs)

=== debian/changelog ===
ibsim (0.10-2) unstable; urgency=medium

  * Architecture: any on libumad2sim0 as well

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 01 Feb 2021 10:39:46 +0200

ibsim (0.10-1) unstable; urgency=medium

  * New upstream release:
    - All patches dropped: merged upstream.
    - New patches from upstream git:
      clean_tests.patch, ibsim-run-typo.patch
  * Build ibsim on any architecture (Closes: #941725)

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 31 Jan 2021 23:51:57 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Homepage: https://github.com/linux-rdma/ibsim/
 
 Package: ibsim-utils
-Architecture: amd64 i386 ia64 powerpc
+Architecture: any
 Depends: libumad2sim0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: InfiniBand fabric simulator utilities
  ibsim provides a simulation of an InfiniBand fabric,
@@ -27,7 +27,7 @@
 
 Package: libumad2sim0
 Section: libs
-Architecture: amd64 i386 ia64 powerpc
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: InfiniBand fabric simulator
  ibsim provides a simulation of an InfiniBand fabric,

=== debian/tests/control ===
Tests: discover
Depends: ibsim-utils, infiniband-diags, procps
# std-error: ibsim's library prints some messages there.
Restrictions: allow-stderr

## ibsim 0.12

=== tests/Makefile ===
bins:= subnet_discover query_many mcast_storm

-include ../defs.mk

all: $(bins)

$(bins): %: %.o

=== debian/changelog ===
ibsim (0.12-1) unstable; urgency=medium

  * New upstream release
  * Remove versioned build dependencies
  * Bump compat level to 13
  * Standards version 4.7.2

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 30 Mar 2025 06:25:37 +0300

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
  Tzafrir Cohen <tzafrir@debian.org>,
-Build-Depends: debhelper-compat (= 12),
-               dpkg-dev (>= 1.16.1~),
-               libibmad-dev (>= 1.3.9),
-               libibumad-dev (>= 1.3.8)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               libibmad-dev,
+               libibumad-dev,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/hpc-team/ibsim.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/ibsim
@@ -16,6 +15,7 @@
 
 Package: ibsim-utils
 Architecture: any
+Multi-Arch: foreign
 Depends: libumad2sim0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: InfiniBand fabric simulator utilities
  ibsim provides a simulation of an InfiniBand fabric,
@@ -28,6 +28,7 @@
 Package: libumad2sim0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: InfiniBand fabric simulator
  ibsim provides a simulation of an InfiniBand fabric,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS += hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

export libpath=$$(prefix)/lib/$(DEB_HOST_MULTIARCH)
%:
	dh $@

=== debian/watch ===
# watch control file for uscan
version=4

https://github.com/linux-rdma/ibsim/tags \
/linux-rdma/ibsim/archive/ibsim-(\d[\d.]*)\.tar\.gz debian uupdate
